> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a New List

> Your Mailercloud list, also known as your recipient, is where you store and manage all of your contacts.



## OpenAPI

````yaml /openapi-v1.json post /list
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /list:
    post:
      tags:
        - Lists
      summary: Create a New List
      description: >-
        Your Mailercloud list, also known as your recipient, is where you store
        and manage all of your contacts.
      operationId: create-a-new-list
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: Request body type
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: ''
              type: object
              properties:
                list_type:
                  type: number
                  description: |-
                    Your List type .

                    Available Choices

                    Normal List: 1
                  default: 1
                name:
                  type: string
                  description: >-
                    Your List name. 

                    Only alphanumeric characters, underscore, hyphen, dot and
                    space allowed.


                    Minimum: 3

                    Maximum: 100
                  minLength: 3
                  maxLength: 100
                  pattern: ^[a-zA-Z0-9._ \-]+$/i
              required:
                - list_type
                - name
            examples:
              example-1:
                value:
                  list_type: 1
                  name: Email subscription-list
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties: {}
              examples:
                example-1:
                  value:
                    id: xyz
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      field:
                        type: string
                        minLength: 1
                      message:
                        type: string
                        minLength: 1
              examples:
                example-1:
                  value:
                    error:
                      field: name
                      message: The name field must be at least 3 characters
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      required:
                        - field
                        - message
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                          minLength: 1
                required:
                  - errors
              examples:
                example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````